Steps for UploadWizard should be links
Closed, DeclinedPublic

Description

Author: swalling

Description:
The steps at the header of the UploadWizard should be links. The steps are a navigational element, and there is no reason not to allow interactivity with them in order to provide the user more control over navigating through the process.

Currently when a user lands on the initial page, the tutorial is large enough to hide the "Next" button even in very large (>1000px) browser windows. There is also no "Back" element for those who, say, wish to reread a part of the tutorial.

Of this equals a large potential for confusion, even among veteran users of MediaWiki and/or Commons, as to how to navigate through the UploadWizard.

Alternatively, the steps could be restyled to not resemble links as detailed in Bug #25966.


Version: unspecified
Severity: enhancement
URL: http://commons.wikimedia.org/wiki/Special:UploadWizard

bzimport set Reference to bz26176.
bzimport created this task.Via LegacyNov 30 2010, 7:51 PM
bzimport added a comment.Via ConduitNov 30 2010, 7:57 PM

swalling wrote:

  • All of this equals...

(In reply to comment #0)

The steps at the header of the UploadWizard should be links. The steps are a
navigational element, and there is no reason not to allow interactivity with
them in order to provide the user more control over navigating through the
process.

Currently when a user lands on the initial page, the tutorial is large enough
to hide the "Next" button even in very large (>1000px) browser windows. There
is also no "Back" element for those who, say, wish to reread a part of the
tutorial.

Of this equals a large potential for confusion, even among veteran users of
MediaWiki and/or Commons, as to how to navigate through the UploadWizard.

Alternatively, the steps could be restyled to not resemble links as detailed in
Bug #25966.

bzimport added a comment.Via ConduitDec 2 2010, 7:55 PM

swalling wrote:

Screenshot describing usability problem

Attached:

gpaumier added a comment.Via ConduitDec 11 2010, 12:21 PM

Marking WONTFIX per bug 24693 and bug 25966.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:58 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.